Name:           mate-bluetooth
Version:        1.6.0
Release:        4%{?dist}
Summary:        MATE Desktop bluetooth applet
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
Source1:        61-%{name}-rfkill.rules

# upstream patch
# http://git.mate-desktop.org/mate-bluetooth/commit/?id=a7a7d80dff2f26c8dfbc077be5c8e15fe341406f
# partial fix for rhbz #967458
Patch0:         mate-bluetooth_double_quotes_via_sendto_callback.patch

BuildRequires:  dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel
BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  mate-file-manager-sendto-devel
BuildRequires:  rarian-compat
BuildRequires:  unique-devel

Requires:  %{name}-libs%{?_isa} = %{version}-%{release}
Requires:  mate-file-manager-sendto
Requires:  gvfs-obexftp
Requires:  bluez
Requires:  obexd
Requires:  desktop-notification-daemon

Provides:  dbus-bluez-pin-helper

%description
MATE Desktop bluetooth applet

%package libs
Summary:        Shared libraries for mate-bluetooth
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description libs
development files for mate-bluetooth

%package devel
Summary:        Development file for mate-bluetooth
License:        LGPLv2+
Requires:       %{name}-libs%{?_isa} = %{version}-%{release} 

%description devel
development files for mate-bluetooth

%prep
%setup -q
%patch0 -p1 -b .callback
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static           \
           --disable-scrollkeeper     \
           --disable-schemas-compile  \
           --disable-icon-update      \
           --disable-desktop-update   \
           --enable-caja-sendto

# fix rpmlint warning
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

install -m0644 -D %{SOURCE1} %{buildroot}/lib/udev/rules.d/61-mate-bluetooth-rfkill.rules

# remove gsettings convert files
rm -f %{buildroot}%{_datadir}/MateConf/gsettings/mate-bluetooth-nst
rm -f %{buildroot}%{_datadir}/MateConf/gsettings/mate-bluetooth

%find_lang %{name} --all-name

desktop-file-install                               \
     --delete-original                             \
     --dir=%{buildroot}%{_datadir}/applications    \
%{buildroot}%{_datadir}/applications/mate-bluetooth-properties.desktop

desktop-file-install                               \
     --delete-original                             \
     --dir=%{buildroot}%{_sysconfdir}/xdg/autostart    \
%{buildroot}%{_sysconfdir}/xdg/autostart/mate-bluetooth-applet.desktop

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
        /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
        /bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_datadir}/icons/mate/*x*/status/*.png
%{_datadir}/icons/mate/*x*/apps/bluetooth.png
%{_datadir}/gtk-doc/html/mate-bluetooth
%{_datadir}/icons/mate/scalable/*/*.svg
%{_sysconfdir}/xdg/autostart/mate-bluetooth-applet.desktop
%{_bindir}/mate-bluetooth-applet
%{_bindir}/mate-bluetooth-properties
%{_bindir}/mate-bluetooth-sendto
%{_bindir}/mate-bluetooth-wizard
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.nst.gschema.xml
%{_datadir}/applications/mate-bluetooth-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.gschema.xml
%{_datadir}/mate/help/mate-bluetooth
%{_datadir}/omf/mate-bluetooth
%{_datadir}/mate-bluetooth
/lib/udev/rules.d/61-mate-bluetooth-rfkill.rules

%files libs
%{_libdir}/libmate-bluetooth.so.8
%{_libdir}/libmate-bluetooth.so.8.0.0
%{_libdir}/girepository-1.0/MateBluetooth-1.0.typelib
%{_libdir}/mate-bluetooth/plugins/libgbtgeoclue.so
%{_libdir}/caja-sendto/plugins/libnstbluetooth.so

%files devel
%{_includedir}/mate-bluetooth
%{_libdir}/pkgconfig/mate-bluetooth-1.0.pc
%{_libdir}/libmate-bluetooth.so
%{_datadir}/gir-1.0/MateBluetooth-1.0.gir

%changelog
* Fri Jul 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-4
- fix rhbz (#988912)
- use the virtual provides desktop-notification-daemon
- instead of mate-notification-daemon
- add isa tag to -libs subpackage

* Tue Jul 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-3
- add provide dbus-bluez-pin-helper to avoid yum strangeness
- with blueman

* Sun Jul 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- add udev 61-mate-bluetooth-rfkill.rules
- add mate-bluetooth_double_quotes_via_sendto_callback.patch
- to fix partial rhbz #967458
- fix some rpmlint warning
- add desktop-file-install command for mate-bluetooth-applet.desktop
- remove %%config from mate-bluetooth-applet.desktop in file section
- remove remove gsettings convert files
- add requires gvfs-obexftp, bluez, obexd, mate-notification-daemon
- remove BR gsettings-desktop-schemas-devel
- remove BR mate-panel-devel

* Mon Apr 08 2013 <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest stable 1.6.0 release

* Mon Mar 18 2013 <dan.mashal@fedoraproject.org> - 1.5.0-2
- Update specfile according to review
- Split libs package off into separate package
- Update icon scriptlets

* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
